mpd:
# This is an example of how you can combine multiple plugins in a
#  multi-stage processing pipeline.
- manifest_edit.plugins.mpd.descriptor_remove:
    # This plugin will remove the UTCTiming tag from manifest. You can
    # selectively remove only the tags with a certain scheme by specifiying
    # one or more of the following:
    #  - 'http-iso'
    #  - 'http-xsdate'
    #  - 'http-ntp'
    #  - 'ntp'
    #  - 'http-head'
    #  - 'direct'
    # Alternatively, you can just use:
    #  - '*'
    # to remove the TAG irrespectively of its scheme
    plugin_config:
      name: "UTCTiming"
      schemeIdUri: ".*"

- manifest_edit.plugins.mpd.descriptor_add:
    # This plugin will add an UTCTiming tag to manifests that do not already
    # have one. You can choose the scheme by selecting one of the following:
    # one or more of the following:
    #  http-iso
    #  http-xsdate
    #  http-ntp
    #  ntp
    #  http-head
    #  direct
    # Additionally, you must provide the value that will be used, in the
    # format required by the scheme you have selected.
    plugin_config:
      name: "UTCTiming"
      schemeIdUri: "urn:mpeg:dash:utc:http-iso:2014"
      value: 'https://my-own.time.server/?http-iso'

- manifest_edit.plugins.mpd.descriptor_add:
    # This plugin will add an UTCTiming tag to manifests that do not already
    # have one. You can choose the scheme by selecting one of the following:
    # one or more of the following:
    #  http-iso
    #  http-xsdate
    #  http-ntp
    #  ntp
    #  http-head
    #  direct
    # Additionally, you must provide the value that will be used, in the
    # format required by the scheme you have selected.
    plugin_config:
      name: "UTCTiming"
      schemeIdUri: "urn:mpeg:dash:utc:ntp:2014"
      value: 'https://my-own.time.server/?ntp'
